import org.jetbrains.kotlin.gradle.tasks.KaptGenerateStubs

plugins {
    id("d.convention.application")
    id("d.convention.compose")
    id("d.convention.hilt")
    id("androidx.navigation.safeargs.kotlin")
}

android {
    namespace = "com.zaojiao.app"

    defaultConfig {
        applicationId = "com.zaojiao.app"
        versionCode = 1
        versionName = "1.0"
    }

    buildTypes {
        release {
            isMinifyEnabled = false
            proguardFiles(
                getDefaultProguardFile("proguard-android-optimize.txt"),
                "proguard-rules.pro"
            )
        }
    }

    buildFeatures {
        aidl = true
        viewBinding = true
    }
}

dependencies {
    implementation(project(":core:http"))

    implementation(project(":feat:home"))

    implementation("androidx.appcompat:appcompat:1.6.1")
    implementation("androidx.navigation:navigation-fragment-ktx:2.5.3")
    implementation("androidx.navigation:navigation-ui-ktx:2.5.3")

    implementation("androidx.constraintlayout:constraintlayout:2.1.4")
    implementation("androidx.coordinatorlayout:coordinatorlayout:1.2.0")

    implementation("com.google.android.material:material:1.9.0")

    implementation(libs.coil.kt)
    implementation(libs.coil.kt.svg)

    implementation("com.google.accompanist:accompanist-systemuicontroller:0.30.1")

    testImplementation("junit:junit:4.13.2")
    androidTestImplementation("androidx.test.ext:junit:1.1.5")
    androidTestImplementation("androidx.test.espresso:espresso-core:3.5.1")
}